FROM alpine:edge as swagger
WORKDIR /usr/lib
RUN apk add --no-cach wget
RUN wget -nv https://repo1.maven.org/maven2/org/openapitools/openapi-generator-cli/5.0.0/openapi-generator-cli-5.0.0.jar -O openapi-generator-cli.jar

FROM alpine:edge
RUN apk add --no-cache bash nodejs yarn openjdk11 make docker docker-compose
COPY --from=swagger /usr/lib/openapi-generator-cli.jar /usr/lib/openapi-generator-cli.jar
COPY /src/bin/* /usr/bin/
RUN yarn global add @angular/cli
RUN ng config -g cli.packageManager yarn
ENV SHELL=/bin/bash
WORKDIR /workdir
EXPOSE 4200
CMD [ "/bin/bash" ]
